"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isPackageUrl = void 0;
const isGit = (version) => version.startsWith("git");
const isHttp = (version) => version.startsWith("http");
const isLocal = (version) => version.startsWith("file");
/**
 * Checks if a version is a package-url.
 * @param version The version.
 */
const isPackageUrl = (version) => isGit(version) || isHttp(version) || isLocal(version);
exports.isPackageUrl = isPackageUrl;
//# sourceMappingURL=package-url.js.map