"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.areArraysEqual = void 0;
/**
 * Compares two arrays to see if they are equal (i.e. Have the same length
 * and equal elements). Elements are compared using `===`.
 * @param a The first array.
 * @param b The second array.
 */
function areArraysEqual(a, b) {
    return a.length === b.length && a.every((x, i) => x === b[i]);
}
exports.areArraysEqual = areArraysEqual;
//# sourceMappingURL=array-utils.js.map